<script setup>
import { useMetadataStore } from "@/stores/useMetadataStore";
import { useWorkspaceStore } from "@/stores/useWorkspaceStore";

const workspaceStore = useWorkspaceStore();
const metadataStore = useMetadataStore();
const route = useRoute();

const dialogConfirmLeave = ref(false);

async function displayDashboard() {
  if (metadataStore.unsavedMetadata.node === true) {
    dialogConfirmLeave.value = true;
  } else {
    await navigateTo(`/${workspaceStore.currentWSlug}/submissions`);
  }
}

async function confirmLeave(response) {
  dialogConfirmLeave.value = false;
  if (response === "yes") {
    await navigateTo(`/${workspaceStore.currentWSlug}/submissions`);
    metadataStore.unsavedMetadata.node = false;
  }
}
</script>

<template>
  <div>
    <v-list-item
      class="ma-0 pa-0"
      :class="[
        {
          'font-weight-bold':
            route.path === `/${workspaceStore.currentWSlug}/submissions`
            || route.path.startsWith(`/${workspaceStore.currentWSlug}/submissions-`),
        },
      ]"
      density="compact"
      @click="displayDashboard()"
    >
      <v-icon class="me-2">
        mdi-database-arrow-up-outline
      </v-icon>Submissions
    </v-list-item>
    <v-dialog
      v-model="dialogConfirmLeave"
      persistent
      max-width="500px"
    >
      <v-card>
        <v-card-title class="headline">
          Unsaved metadata changes
        </v-card-title>
        <v-card-text>
          You have unsaved changes. Do you really want to leave this page?
        </v-card-text>
        <v-card-actions>
          <v-spacer />
          <v-btn @click="confirmLeave('no')">
            No
          </v-btn>
          <v-btn color="error" @click="confirmLeave('yes')">
            Yes
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>
